Bug 1448506 - The create_service_provision_request call on a service_template doesn't return a MiqRequest object
Summary: The create_service_provision_request call on a service_template doesn't retur...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: mkanoor
QA Contact: Shveta
URL:
Whiteboard: service:provision
Depends On: 1447793
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-05 15:26 UTC by Satoe Imaishi
Modified: 2017-05-31 15:09 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1447793
Environment:
Last Closed: 2017-05-31 15:09:33 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-05 15:37:04 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/19e141d971c758f848a56fd7dbca07eeae9a4be9

commit 19e141d971c758f848a56fd7dbca07eeae9a4be9
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri May 5 08:32:50 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri May 5 11:33:26 2017 -0400

    Merge pull request #14987 from mkanoor/bz_1447793
    
    provision_request returns a miq_request object instead of a hash of error and miq_request
    (cherry picked from commit 2b2aff4815afdb80c27a81e7708c097217f291f1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448506

 app/models/service_template.rb       |  4 +++-
 spec/models/service_template_spec.rb | 35 ++++++++++++++++++++++++-----------
 2 files changed, 27 insertions(+), 12 deletions(-)

Comment 3 Shveta 2017-05-13 06:40:34 UTC
Fixed .
Verified in 5.8.0.14-rc3.20170509175238_5dbf87a

Comment 5 errata-xmlrpc 2017-05-31 15:09:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.